cmake_minimum_required(VERSION 3.1)
include(ExternalProject)

add_library(uPNG STATIC)
target_include_directories(uPNG PUBLIC external/upng)

set(UPNG_SOURCES external/upng/upng.c)
set(UPNG_HEADERS external/upng/upng.h)

target_sources(uPNG PRIVATE ${UPNG_SOURCES} ${UPNG_HEADERS})